<?php

namespace Modules\Partner\Interfaces;

use Illuminate\Http\Request;
use Modules\Partner\Models\Partner;

interface PartnerRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Partner $partner);
    public function save(Request $request, ?Partner $partner): Partner;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
